package me.schaertl.graphcli;

import org.eclipse.rdf4j.model.IRI;
import org.eclipse.rdf4j.model.Namespace;
import org.eclipse.rdf4j.model.ValueFactory;
import org.eclipse.rdf4j.model.impl.SimpleNamespace;
import org.eclipse.rdf4j.model.impl.SimpleValueFactory;
import org.eclipse.rdf4j.model.vocabulary.FOAF;

/**
 * Constants for use with ULO, the Upper Library Ontology [1].
 *
 * [1] https://gl.mathhub.info/ulo/ulo/-/tree/master/
 */
public class ULO {
    private ULO() {}

    /**
     * The ULO namespace: https://mathhub.info/ulo
     */
    public static final String NAMESPACE = "https://mathhub.info/ulo";

    /**
     * The recommended prefix for the ULO namespace: "ulo"
     */
    public static final String PREFIX = "ulo";

    /**
     * An immutable {@link Namespace} constant that represents the ULO namespace.
     */
    public static final Namespace NS = new SimpleNamespace(PREFIX, NAMESPACE);

    public final static IRI INDUCTIVE_ON;

    static {
        final ValueFactory factory = SimpleValueFactory.getInstance();
        INDUCTIVE_ON = factory.createIRI(ULO.NAMESPACE, "inductive-on");
    }
}
