#! /bin/sh

set -eu

# Given a single *.rdf.xz FILE, (1) extract that file, (2) apply fixes
# with fix-rdf-file.py and (3) re-compress with gzip as GraphDB only
# supports gzip and not xz.

if [ ! $# -eq 1 ]; then
    echo "usage: $0 FILE" 1>&2
    exit 1
fi

file="$(realpath "$1")"

script_dir=$(dirname "$0")
cd "$script_dir"

echo "$file" 1>&2

# the filename of the extracted (uncompressed) file
rdf_file=$(echo "$file" | sed 's/\.xz//')
work_file=$(mktemp)

# uncompress, fix iris
xzcat "$file" | ./fix-rdf-file.py > "$work_file"
mv "$work_file" "$rdf_file"

# compress again
gzip "$rdf_file"
