package info.mathhub.uloapi.html;

import spark.template.freemarker.FreeMarkerEngine;

import static spark.Spark.*;

/**
 * Entry point of the JSON/REST API for the underlying ULO/RDF store.
 */
public class Main {
    private Main() {};

    public static void main(String[] args) {
        get("/", Routes.index, new FreeMarkerEngine());
        get("/statistics", Routes.statistics, new FreeMarkerEngine());
        get("/queries", Routes.queries, new FreeMarkerEngine());

        internalServerError(Errors.internalServerError);
        notFound(Errors.notFound);

        after(Filters.setHtmlContentType);
    }
}
