package info.mathhub.uloapi.query;

import org.jetbrains.annotations.NotNull;

/**
 * Contains statistic information about the backing storage.
 */
public class Statistics {
    /**
     * The number of triplets in the backing storage.
     */
    public long numTriplets;

    /**
     * Whether the data in this repository is writeable. If it isn't,
     * it is only readable.
     */
    public boolean isWriteable;

    /**
     * The directory on the server where the data is stored.
     */
    @NotNull
    public String dataDir = "unknown";
}
