package info.mathhub.uloapi.query;

/**
 * Class for timing execution of methods. Create a new {@link Timer} object,
 * run some operation and then get the elapsed time with {@link Timer#elapsedMs}.
 */
public class Timer {
    private final long startMs;

    public Timer() {
        this.startMs = System.currentTimeMillis();
    }

    /**
     * Return elapsed time since this object has been created.
     *
     * @return Elapsed time since object creation in milliseconds.
     */
    public long elapsedMs() {
        final long stopMs = System.currentTimeMillis();
        return stopMs - this.startMs;
    }
}
