package info.mathhub.uloapi.rest;

import static spark.Spark.*;

/**
 * Entry point of the JSON/REST API for the underlying ULO/RDF store.
 */
public class Main {
    private Main() {};

    public static void main(String[] args) {
        // routes
        get("/", Routes.index);
        get("/statistics", Routes.statistics, new JsonTransformer());
        get("/name/:name", Routes.name, new JsonTransformer());

        // error handling
        notFound(Errors.notFound);

        // run on all routes and errors
        after(Filters.setJsonContentType);
    }
}
