package info.mathhub.uloapi.rest;

import info.mathhub.uloapi.query.Query;
import spark.*;

import java.util.HashMap;
import java.util.Map;

/**
 * This class contains all routes of our application.
 */
public class Routes {
    private Routes() {};

    public static final Route index = (Request request, Response response) -> {
        return Errors.notImplemented.handle(request, response);
    };

    public static final Route statistics = (Request request, Response response) -> {
        return Query.getSingleton().getStatistics();
    };

    public static final Route name = (Request request, Response response) -> {
        final Map<String, Object> json = new HashMap<>();

        json.put("name", request.params(":name"));
        json.put("attributes", request.attributes());
        json.put("ip", request.ip());

        return json;
    };
}
